# -*- coding: utf-8 -*-
# Generated by Django 1.11.8 on 2017-12-21 20:28
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='DataType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True)),
            ],
            options={
                'ordering': ('name',),
            },
        ),
        migrations.CreateModel(
            name='EquipmentDataField',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('nullable', models.BooleanField(default=False)),
                ('lower_numeric_null', models.FloatField(blank=True, null=True)),
                ('upper_numeric_null', models.FloatField(blank=True, null=True)),
                ('default_val', models.FloatField(blank=True, null=True)),
                ('min_val', models.FloatField(blank=True, null=True)),
                ('max_val', models.FloatField(blank=True, null=True)),
                ('data_type', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='equipment_data_fields', related_query_name='equipment_data_field', to='IoT_DataMgmt.DataType')),
            ],
            options={
                'ordering': ('equipment_general_type', 'equipment_data_field_type', 'name'),
            },
        ),
        migrations.CreateModel(
            name='EquipmentDataFieldType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True)),
            ],
            options={
                'ordering': ('name',),
            },
        ),
        migrations.CreateModel(
            name='EquipmentGeneralType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True)),
            ],
            options={
                'ordering': ('name',),
            },
        ),
        migrations.CreateModel(
            name='EquipmentUniqueType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('equipment_general_type', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='equipment_unique_types', related_query_name='equipment_unique_type', to='IoT_DataMgmt.EquipmentGeneralType')),
            ],
            options={
                'ordering': ('equipment_general_type', 'name'),
            },
        ),
        migrations.AddField(
            model_name='equipmentdatafield',
            name='equipment_data_field_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='equipment_data_fields', related_query_name='equipment_data_field', to='IoT_DataMgmt.EquipmentDataFieldType'),
        ),
        migrations.AddField(
            model_name='equipmentdatafield',
            name='equipment_general_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='equipment_data_fields', related_query_name='equipment_data_field', to='IoT_DataMgmt.EquipmentGeneralType'),
        ),
        migrations.AddField(
            model_name='equipmentdatafield',
            name='equipment_unique_types',
            field=models.ManyToManyField(blank=True, related_name='equipment_data_fields', related_query_name='equipment_data_field', to='IoT_DataMgmt.EquipmentUniqueType'),
        ),
    ]
